Page MenuHome

Asset Project - UI - Asset Browser
Closed, ResolvedPublic

Tokens
"Love" token, awarded by roman13."Love" token, awarded by manitwo."Like" token, awarded by TechnoViking."Love" token, awarded by ogierm."Love" token, awarded by duarteframos."Love" token, awarded by DotBow."Love" token, awarded by zhruith."Love" token, awarded by 0o00o0oo."Love" token, awarded by lcs_cavalheiro.
Authored By

Description

Asset Browser in File Browser view

As you can see, it's slightly simpler than before. We are following the reading direction, so that the command is in the bottom right. All the complex filtering options are in a panel now. The old icons were so plentiful and ambiguous that you really need proper names to make sense of them anyway, so it's better to tuck them in a panel where we can make them clearly readable and understandable.

Switching Repositories

The menu in the top left lets user switch between file browsing and asset browsing. Users can directly pick which repositories to switch to here:

As you can see, we are re-using most of the same UI structure in both views, but only hiding the parts that are not applicable, letting us re-use interface elements as much as possible.

In the sources list on the left, we've added the ability to select tags. We only show tags that are available with the active ID type selected.

Built-in Repositories

In order to make the Asset Browser immediately useful, we will include these built-in repositories:

  • File Browser (allows for browsing images etc in your local file storage)
  • Current File (gives an overview of all the assets in your current scene. Very useful to get an overview and to re-use materials, meshes etc)
  • Blender Cloud (Blender Cloud will provide a selection of assets for users to get started. Users can either download & import assets directly through the Asset Browser, or they can download the cloud repository for offline use)

In addition, users can easily set up their own asset repositories in Preferences and easily start to populate them with objects, meshes, materials and so on, by dragging them into the Asset Browser.

We could even automatically create an empty repository, so that users can start building one with zero configuration needed. Users can then later rename it in Preferences if they desire.

Icon View:

Inspector:

An Inspector area on the right gives you more information about the selected asset. Here users have access to editing tags, accessing variants and revisions.

One of the important requirements for the assets UI, is that it should be able to become very compact, so that users can integrate it into their Blender screen layout without taking up too much space.

Here's a view with both the Source List and Inspector area hidden:


The Asset Browser is still fully useable in this state. You can browse, search for tags, drag items into your scene, change repositories etc, even with this minimal UI

We can even use responsive layouts, to make it show the enum as a menu when there is not enough space, so that it keeps working even though user might have the Asset Browser in a tiny view:

This gives an idea of a common use-case. The user has opened the Asset Browser below the 3D View, and is able to drag assets into the scene, and the user can take full advantage of the screen space available, so you can see as many assets as possible on the screen:

Linking vs Appending assets

In different situations, users might want to either link an asset or append (copy) it.

For simple cases where users just want access to assets as a starting point, appending makes the most sense

For collaborative projects, films with multiple shots, complex environments etc, it makes more sense to create a repository and then link to assets.

We want to make it easy to do both, without having to switch between modes or views, like so:

In the Inspector there will be buttons to either link or append, but as a faster method, user can either:

  1. Drag assets into the scene to copy it
  2. Drag assets while holding Alt to link it in.

This way, users can very quickly link and copy assets into their scene, using a single gesture.

Accessing assets from ID block selectors

Users may not always have the Asset Browser visible. For this reason, it'd be useful to still be able to access to your assets. We can support this by integrating with the ID block selector, like so:

By default, we could have it set to Current File, which essentially mirrors what we have today - although we could still support icon view. But if users want to directly search and browse assets outside your current file, we could still allow this, in a way that's consistent with the way the Asset Browser works.

Details

Type
Design

Event Timeline

Bastien Montagne (mont29) lowered the priority of this task from Needs Triage by Developer to Normal.Apr 16 2018, 12:52 PM
Bastien Montagne (mont29) created this task.
Bastien Montagne (mont29) created this object with edit policy "Moderators (Project)".
Bastien Montagne (mont29) updated the task description. (Show Details)
Bastien Montagne (mont29) moved this task from Tasks to Short Term Backlog on the Code Quest board.
William Reynish (billreynish) renamed this task from Asset Project - UI - File Browser to Asset Project - UI - Asset Browser.Apr 16 2018, 2:48 PM
William Reynish (billreynish) updated the task description. (Show Details)
William Reynish (billreynish) updated the task description. (Show Details)
William Reynish (billreynish) moved this task from Doing to Done on the Code Quest board.
William Reynish (billreynish) moved this task from Done to Reviewing on the Code Quest board.
Dalai Felinto (dfelinto) closed this task as Resolved.Apr 23 2018, 1:20 PM
William Reynish (billreynish) changed Type from Bug to Design.Apr 29 2019, 8:02 PM